Grasshopper

algorithmic modeling for Rhino

Library not Registered (Tried steps in other discussions)

Hi everyone,

I received the following error on Gismo_gismo:

1. Solution exception:Library not registered. (Exception from HRESULT: 0x8002801D (TYPE_E_LIBNOTREGISTERED))

I know this has been a recurring topic, so I have followed every step in this discussion, including full uninstallation with Revo Installer Pro, restart and login in as Admin, UAC, turning off antivirus, full installation, and entering the commands in CMD with admin rights (replacing "your_regsvr32_folder_path" with my "C:\Windows\System32"). I have also tried the solution on page 2, namely typing:

%systemroot%\System32\regsvr32.exe /u /s c:\dev\mapwingis\mapwingis.ocx

%systemroot%\System32\regsvr32.exe /s c:\dev\mapwingis\mapwingis.ocx

However, I installed MapWinGIS-only-v5.0.1.0-x64.exe . Should I install the older version, MapWinGIS-only-v4.9.4.2-x64.exe instead?

I am using Rhino 6.1.18037.13441, Grasshopper 1.0.0004, IronPython 2.7.5.0, Windows 10 64bit, 

Thank you very much!

- Marcus

Views: 65

Replies to This Discussion

Hi Quek Wen,
To be honest, I do not know what is the issue.

Do you get some message when you run either of these two commands:

%systemroot%\System32\regsvr32.exe /u /s c:\dev\mapwingis\mapwingis.ocx

%systemroot%\System32\regsvr32.exe /s c:\dev\mapwingis\mapwingis.ocx

Yes, try using v4.9.4.2-x64. Gismo at the moment does not support MapWinGIS 5.x.

Hi djordje,

Thanks for the reply.

The CMD does not give any error message, and the output of gismo_gismo gives the same error (Library not Registered). I will give MapWinGis-only-v4.9.5.0-x64.exe a try and let you know the results since MapWinGIS-only-v4.9.4.2-x64.exe doesn't exist anymore.

Hi djordje,

Great news, it seems that MapWinGis-only-v4.9.5.0-x64.exe worked with Gismo 0.0.3 with the CMD input of:

%systemroot%\System32\regsvr32.exe /u /s c:\dev\mapwingis\mapwingis.ocx

%systemroot%\System32\regsvr32.exe /s c:\dev\mapwingis\mapwingis.ocx

Thanks for your help :)

- Marcus

Hi Marcus,
I am glad to hear that it is working!
For some other users, with similar problems, can you just write what you did, since my last reply? In steps if possible. Thank you in advance for this!

btw 4.9.4.2 version is located here.

RSS

About

Translate

Search

© 2019   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service